import request from '@/config/axios'

// 查询协议列表
export function listProtocol(query) {
  return request.get({
    url: '/rq/iot-protocol/list',
    
    params: query
  })
}

// 查询协议详细
export function getProtocol(id) {
  return request.get({
    url: '/rq/iot-protocol' + id,
    
  })
}

// 新增协议
export function addProtocol(data) {
  return request.post({
    url: '/rq/iot-protocol',
  
    data: data
  })
}

// 修改协议
export function updateProtocol(data) {
  return request.put({
    url: '/rq/iot-protocol',
   
    data: data
  })
}

// 删除协议
export function delProtocol(id) {
  return request.delete({
    url: '/rq/iot-protocol/' + id,
    
  })
}
